<?php
/* If autoUpdate is set to True then if you decide to modify an old update,
it will automatically move that update to the top of the update line. */
$autoUpdate=true;

/* maxUpdates limits how many updates will be displayed on the main page.
Leaving it 0 means it will display unlimited updates. */
$maxUpdates=0;





// Determine the total number of updates.
$totalupdates=1;
while (file_exists('update_' . $totalupdates . '.html')==1)
{
   $totalupdates++;
}

// Display updates
$totalupdates--;
$location=('update_' . $totalupdates . '.html');
$update=$totalupdates;
while (file_exists($location)==1)
{
   if ($autoUpdate==false)
   {
      if ($maxUpdates>=$update || $maxUpdates==0)
      {
         echo('<div id="updatetext">');
         require($location);
         echo('<h3>Posted on '.date('F d, Y',filectime($location)).' at '.date('g:i A',filectime($location)).'</h3>');
         echo('</div>');
      }
   }
   $sortUpdate[$update]=$location;
   $update--;
   $location=('update_' . $update . '.html');
}

// Auto Update Sequence
if ($autoUpdate==true)
{
   for ($i=1; $i<=$totalupdates; $i++)
   {
      for ($t=1; $t<=$totalupdates; $t++)
      {
         if ($i!=$t)
         {
            if (filectime($sortUpdate[$i])>filectime($sortUpdate[$t]))
            {
               $temp=$sortUpdate[$i];
               $sortUpdate[$i]=$sortUpdate[$t];
               $sortUpdate[$t]=$temp;
            }
         }
      }
   }
   if ($maxUpdates!=0) {$totalupdates=$maxUpdates;}
   for ($i=1; $i<=$totalupdates; $i++)
   {
      echo('<div id="updatetext">');
      require($sortUpdate[$i]);
      echo('<h3>Posted on '.date('F d, Y',filectime($sortUpdate[$i])).' at '.date('g:i A',filectime($sortUpdate[$i])).'</h3>');
      echo('</div>');
   }
}
?>